Ashton.jpg = Ashton at birth
Ashton 001.jpg = Ashton and Rebecca
Ashton 002.jpg = Ashton and Rebecca
Ashton 003.jpg = Ashton and Shannon
Ashton Dawg 001.jpg = Ashton Dawg and Danielle
Ashton Dawg 002.jpg = Ashton Dawg and Danielle
Ashton Dawg 003.jpg = Ashton Dawg and Danielle
Ashton Dawg 004.jpg = Ashton Dawg
Ashton Dawg 005.jpg = Ashton Dawg and Nick
Ashton Dawg 006.jpg = Ashton Dawg
Ashton Dawg 007.jpg = Ashton Dawg and Shannon
ashton at 14 mos 001.jpg = Shannon and Ashton at 14 months
ashton at 14 mos 002.jpg = Ashton at 14 months
ashton at 14 mos 003.jpg = Ashton at 14 months
ashton at 14 mos 004.avi = Ashton at 14 months (trying to walk)
ashton at 14 mos 005.avi = Ashton at 14 months (trying to walk)
ashton at 14 mos 006.jpg = Ashton at 14 months
ashton at 14 mos 007.jpg = Ashton at 14 months
ashton at 14 mos 008.jpg = Ashton at 14 months